Skip to main content
POST
/
team-permissions
/
{team_id}
/
{user_id}
/
{permission_id}
Grant a team permission to a user
curl --request POST \
  --url https://api.stack-auth.com/api/v1/team-permissions/{team_id}/{user_id}/{permission_id} \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "id": "read_secret_info",
  "user_id": "3241a285-8329-4d69-8f3d-316e08cf140c",
  "team_id": "ad962777-8244-496a-b6a2-e0c6a449c79e"
}

Documentation Index

Fetch the complete documentation index at: https://stackauth-e0affa27-chore-move-mcp-to-a-sep-app.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

team_id
string
user_id
string

The ID of the user, or the special value me for the currently authenticated user

Example:

"3241a285-8329-4d69-8f3d-316e08cf140c"

permission_id
string

The permission ID used to uniquely identify a permission. Can either be a custom permission with lowercase letters, numbers, :, and _ characters, or one of the system permissions: $update_team, $delete_team, $read_members, $remove_members, $invite_members, $manage_api_keys

Example:

"read_secret_info"

Body

application/json

The body is of type object.

Response

201 - application/json

Successful response

id
string
required

The permission ID used to uniquely identify a permission. Can either be a custom permission with lowercase letters, numbers, :, and _ characters, or one of the system permissions: $update_team, $delete_team, $read_members, $remove_members, $invite_members, $manage_api_keys

Example:

"read_secret_info"

user_id
string
required

The unique identifier of the user

Example:

"3241a285-8329-4d69-8f3d-316e08cf140c"

team_id
string
required

The unique identifier of the team

Example:

"ad962777-8244-496a-b6a2-e0c6a449c79e"